<?php

namespace Drupal\migrate_laminas_feed;

use GuzzleHttp\ClientInterface;
use Laminas\Feed\Reader\Http\ClientInterface as ReaderClientInterface;
use Laminas\Feed\Reader\Http\Psr7ResponseDecorator;

/**
 * Decorates the Guzzle HTTP client for use by laminas-feed.
 *
 * @see https://docs.laminas.dev/laminas-feed/psr7-clients/
 */
class ReaderHttpClient implements ReaderClientInterface {

  public function __construct(protected ClientInterface $httpClient) {}

  /**
   * {@inheritdoc}
   */
  public function get($uri) {
    return new Psr7ResponseDecorator($this->httpClient->request('GET', $uri));
  }

}
